org.apache.ignite.internal.processors.odbc.odbc.escape

## Class OdbcEscapeToken

- java.lang.Object
- - org.apache.ignite.internal.processors.odbc.odbc.escape.OdbcEscapeToken

    public class OdbcEscapeToken
    extends Object

ODBC escape sequence token.

### Constructor Summary

Constructors
Constructor and Description
`OdbcEscapeToken(OdbcEscapeType type, int len)` Constructor.

### Method Summary

Methods
`int` `length()`
`String` `toString()`
`OdbcEscapeType` `type()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### OdbcEscapeToken

    public OdbcEscapeToken(OdbcEscapeType type,
                   int len)

Constructor.

Parameters:
  `type` - Escape sequence type.
  `len` - Token length.

### Method Detail

#### type

    public OdbcEscapeType type()

Returns:
  Escape sequence type.

#### length

    public int length()

Returns:
  Token length.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.2.0
Release Date | : September 15 2017